Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.syntax
Class Chunk

    java.lang.Object
      org.gjt.sp.jedit.syntax.Token
          org.gjt.sp.jedit.syntax.Chunk

public class Chunk
extends Token

A syntax token with extra information required for painting it on screen.

Since:
  jEdit 4.1pre1

Field Summary
`boolean` | `accessable`
`java.awt.Color` | `background`
`int` | `charWidth`
`java.awt.font.GlyphVector` | `gv`
`boolean` | `initialized`
`boolean` | `monospaced`
`java.lang.String` | `str`
`SyntaxStyle` | `style`
`boolean` | `visible`
`float` | `width`

Fields inherited from class org.gjt.sp.jedit.syntax.Token
`COMMENT1, COMMENT2, COMMENT3, COMMENT4, DIGIT, END, FUNCTION, id, ID_COUNT, INVALID, KEYWORD1, KEYWORD2, KEYWORD3, KEYWORD4, LABEL, length, LITERAL1, LITERAL2, LITERAL3, LITERAL4, MARKUP, next, NULL, offset, OPERATOR, rules, TOKEN_TYPES`

Constructor Summary
`Chunk(byte id, int offset, int length, ParserRuleSet rules, SyntaxStyle[] styles, byte defaultID)`
`Chunk(float width, int offset, ParserRuleSet rules)`

Method Summary
`float[]` | `getPositions()`
`void` | `init(javax.swing.text.Segment seg, javax.swing.text.TabExpander expander, float x, java.awt.font.FontRenderContext fontRenderContext)`
`static float` | `offsetToX(Chunk chunks, int offset)` Converts an offset in a chunk list into an x co-ordinate.
`float` | `offsetToX(int offset)`
`static float` | `paintChunkBackgrounds(Chunk chunks, java.awt.Graphics2D gfx, float x, float y)` Paints the background highlights of a chunk list.
`static float` | `paintChunkList(Chunk chunks, java.awt.Graphics2D gfx, float x, float y, boolean glyphVector)` Paints a chunk list.
`static int` | `xToOffset(Chunk chunks, float x, boolean round)` Converts an x co-ordinate in a chunk list into an offset.
`int` | `xToOffset(float x, boolean round)`

Methods inherited from class org.gjt.sp.jedit.syntax.Token
`stringToToken, tokenToString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### accessable

    public boolean accessable

### visible

    public boolean visible

### initialized

    public boolean initialized

### monospaced

    public boolean monospaced

### charWidth

    public int charWidth

### style

    public SyntaxStyle style

### background

    public java.awt.Color background

### width

    public float width

### gv

    public java.awt.font.GlyphVector gv

### str

    public java.lang.String str

Constructor Detail

### Chunk

    public Chunk(float width,
                 int offset,
                 ParserRuleSet rules)

### Chunk

    public Chunk(byte id,
                 int offset,
                 int length,
                 ParserRuleSet rules,
                 SyntaxStyle[] styles,
                 byte defaultID)

Method Detail

### paintChunkList

    public static float paintChunkList(Chunk chunks,
                                       java.awt.Graphics2D gfx,
                                       float x,
                                       float y,
                                       boolean glyphVector)

  Paints a chunk list.

  Parameters:
    `chunks` - The chunk list
    `gfx` - The graphics context
    `x` - The x co-ordinate
    `y` - The y co-ordinate
  Returns:
    The width of the painted text
  Since:
    jEdit 4.2pre1

### paintChunkBackgrounds

    public static float paintChunkBackgrounds(Chunk chunks,
                                              java.awt.Graphics2D gfx,
                                              float x,
                                              float y)

  Paints the background highlights of a chunk list.

  Parameters:
    `chunks` - The chunk list
    `gfx` - The graphics context
    `x` - The x co-ordinate
    `y` - The y co-ordinate
  Returns:
    The width of the painted backgrounds
  Since:
    jEdit 4.2pre1

### offsetToX

    public static float offsetToX(Chunk chunks,
                                  int offset)

  Converts an offset in a chunk list into an x co-ordinate.

  Parameters:
    `chunks` - The chunk list
    `offset` - The offset
  Since:
    jEdit 4.1pre1

### xToOffset

    public static int xToOffset(Chunk chunks,
                                float x,
                                boolean round)

  Converts an x co-ordinate in a chunk list into an offset.

  Parameters:
    `chunks` - The chunk list
    `x` - The x co-ordinate
    `round` - Round up to next letter if past the middle of a letter?
  Returns:
    The offset within the line, or -1 if the x co-ordinate is too far to the right
  Since:
    jEdit 4.1pre1

### getPositions

    public final float[] getPositions()

### offsetToX

    public final float offsetToX(int offset)

### xToOffset

    public final int xToOffset(float x,
                               boolean round)

### init

    public void init(javax.swing.text.Segment seg,
                     javax.swing.text.TabExpander expander,
                     float x,
                     java.awt.font.FontRenderContext fontRenderContext)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD